=== libsysinfo-0.0.3/Makefile ===
##############################################################
#  Makefile for libsysinfo-0.0.1  -- by Vince Weaver         #
#                                                            #
#  To modify for your configuration, add or remove the #     #
#                                                            #
##############################################################

#Your compiler.  If gcc doesn't work, try CC
CC = gcc

OS = $(shell uname)

C_FLAGS = -O2 -Wall -I.. -I.

all:	configure ./$(OS)/Makefile.inc libsysinfo.a

clean:
	rm -f *.o *~
	rm -f libsysinfo.a libsysinfo.so config.h
	rm -f ./$(OS)/Makefile.inc configure
	cd $(OS) && make clean
	cd all && make clean

install:	

./$(OS)/Makefile.inc:	configure
	./configure

configure:	configure.o
	$(CC) $(L_OPTS) -o configure configure.o
	
configure.o:	configure.c
	$(CC) $(C_OPTS) -c configure.c

libsysinfo.a:	configure
	cd all && make
	cd $(OS) && make
	ar crus libsysinfo.a ./$(OS)/*.o ./all/*.o

shared:	libsysinfo.a
	ld -shared -o libsysinfo.so ./$(OS)/*.o ./all/*.o
