## linuxlogo 4.07

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##############################################################
-#  Makefile for Linux Logo 3.9b4  -- by Vince Weaver         #
+#  Makefile for Linux Logo 4.06 -- by Vince Weaver           #
 #                                                            #
 #  To modify for your configuration, add or remove the #     #
 #                                                            #
@@ -8,7 +8,7 @@
 #Your compiler.  If gcc doesn't work, try CC
 CC = gcc
 
-LIBSYSINFO = libsysinfo-0.0.3
+LIBSYSINFO = libsysinfo-0.0.7
 
 #For Linux Systems
 PLATFORM = 'Linux'
@@ -49,7 +49,7 @@
 
 clean:
 	rm -f *.o
-	rm -f linux_logo linux_logo-dyn parse_logos
+	rm -f linux_logo linux_logo-dyn parse_logos load_logos.h
 	rm -f *~
 	cd $(LIBSYSINFO) && $(MAKE) clean
 	cd po && $(MAKE) clean
@@ -64,7 +64,7 @@
 	@strip linux_logo-dyn
 
 ./$(LIBSYSINFO)/libsysinfo.a:
-	cd libsysinfo && $(MAKE)
+	cd $(LIBSYSINFO) && $(MAKE)
 
 vmw_string.o:	vmw_string.c
 	$(CC) $(C_OPTS) -c vmw_string.c
