=== libsysinfo-0.0.8/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 configure:	configure.o
 	$(CC) $(L_OPTS) -o configure configure.o
-	
+
 configure.o:	configure.c
 	$(CC) $(C_OPTS) -c configure.c
