=== libsysinfo-0.1.0/Irix/Makefile ===
include ../Makefile.defaults

all:	sysinfo_irix.o


sysinfo_irix.o:	      sysinfo_irix.c
		      $(CC) $(CFLAGS) -c sysinfo_irix.c
		      
clean:		      
		      rm -f *~ *.o
