=== debian/changelog ===
linuxlogo (5.11-8) unstable; urgency=medium

  * debian/control: Standards bumbed to 3.9.6, no changes needed
  * debian/rules: added LC_ALL=C to sort to fix reproducible builds (Closes: #792783)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Mon, 20 Jul 2015 11:14:48 +0200

linuxlogo (5.11-7) unstable; urgency=medium

  * install_linux_logo script added (Closes: #615845)
  * Documented usage with systemd (Closes: #750781)
  * Architecture changed to linux-any

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 09 Aug 2014 13:01:20 +0200

linuxlogo (5.11-6) unstable; urgency=medium

  * Patch added to support power7 and power8 processors, Thanks Bruno Leitao
    (Closes: #748980)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sun, 25 May 2014 12:44:38 +0200

linuxlogo (5.11-5) unstable; urgency=medium

  * Added Vcs-Git and Vcs-Browser to d/control
  * Hardening, closes hardening-no-relro lintian flag

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Wed, 14 May 2014 18:58:08 +0200

linuxlogo (5.11-4) unstable; urgency=medium

  * Migrated to dh
  * New maintainer (Closes: #726550)
  * Bump standards to 3.9.5 
  * New logos added (Raspberry PI and OpenBSD) 
  * Migrated to quilt 3.0 format
  * Quilt used as a patch system 

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Thu, 26 Dec 2013 20:08:36 +0100

linuxlogo (5.11-3) unstable; urgency=low

  * Orphan package

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 05 Jul 2012 11:53:01 +0200

linuxlogo (5.11-2) unstable; urgency=low

  * Fix typo in Debian Version output (Closes: #646955)
  * Add new Debian Theme by Ulrik Sverdrup; many thanks!
    (Closes: #680210)
    * Add it as debian/patches/new_debian_logo.patch to integrate
      it better into the build system.
      Source may be found in debian/debian-banner-2.logo.
    * Update debian/local/linux_logo.conf
  * Also reactivate quilt in debian/rules and readd quilt as build-depends
  * Bump standards to 3.9.3 (no changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 05 Jul 2012 11:48:22 +0200

linuxlogo (5.11-1) unstable; urgency=low

  * New Upstream release
  * Fix Vcs-Svn-Header in debian/control after alioth move
  * Apply patch from Peter Eisentraut to add status report to the init
    script (Closes: #645291)
  * Bump standards to 3.9.2 (no changes needed)
  * Add recommended targets to debian/rules
  * Display Debian Version (Closes: #187661)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sat, 15 Oct 2011 16:48:49 +0200

linuxlogo (5.10-1) unstable; urgency=low

  * New upstream release.
  * Drop patches/01-s390x.patch and patches/02-sh.patch
    (both were pplied upstream)
  * remove quilt, as we don't have any more patches
  * Add $remote_fs to Required-Start and Required-Stop of the init scripts
    LSB header
  * Bump standards version (no changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 10 Mar 2010 11:25:34 +0100

linuxlogo (5.07-1) unstable; urgency=medium

  * urgency medium due to unreported RC bug fix
  * Adopting package (Closes: #543886)
  * New upstream release
  * add debian/watch
  * add VCS-Headers to debian/control
  * Add patch to fix buid issue on sh architecure
    (Closes: #545938).
    Thanks to Nobuhiro Iwamatsu for providing the patch!
  * Don't create /var/run/linuxlogo via package
    * it's created on start time from the init-scriot
    * it's removed on purg
    (Thanks to lintian for the hint; that's a policy must)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 18 Jan 2010 16:14:48 +0100

linuxlogo (5.06-2) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 09:54:05 +0200

linuxlogo (5.06-1) unstable; urgency=low

  * Merging upstream version 5.06:
    - Fixes problem with logo naming (Closes: #510813).
  * Readding default logo in linux_logo.conf.
  * Removing dash.patch, not required anymore.
  * Updating logo list in linux_logo.conf.
  * Renaming directory for local debian additions to more common name.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jul 2009 12:40:04 +0200

linuxlogo (5.05-1) unstable; urgency=low

  * Merging upstream version 5.05.
  * Updating package to standards version 3.8.2.
  * Updating rules file to current state of the art.
  * Using correct rfc-2822 date formats in changelog.
  * Rediffing dash.patch.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jul 2009 12:09:50 +0200

linuxlogo (5.04-2) unstable; urgency=low

  * Prefixing debhelper files with package name.
  * Removing default logo in /etc/linux_logo.conf (Closes: #504717).
  * Using debhelper install file to install additional files instead of
    install target in rules.
  * Using quilt instead of dpatch.
  * Adding description in menu file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 26 Dec 2008 10:09:00 +0100

linuxlogo (5.04-1) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 5.04.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Dec 2008 20:51:00 +0100

linuxlogo (5.03-5) unstable; urgency=low

  * Manually creating /var/run/linuxlog directory through the initscript
    in case /var/run is on a tmpfs (Closes: #412289).
  * Adding symlinks from linux_logo to linuxlogo to go the way of last
    surprise wrt/ package name and binary name.
  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 06 Nov 2008 17:06:00 +0100

linuxlogo (5.03-4) unstable; urgency=medium

  * Adding patch to fix FTBFS on s390x.
  * Updating to standards 3.8.0.

 -- Daniel Baumann <daniel@debian.org>  Fri, 20 Jun 2008 09:19:00 +0200

linuxlogo (5.03-3) unstable; urgency=medium

  * Adding patch to avoid broken argument handling in configure and thus

