=== debian/control ===
Source: linuxlogo
Section: misc
Priority: extra
Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends: debhelper (>= 9), gettext
Standards-Version: 3.9.6
Homepage: http://www.deater.net/weave/vmwprod/linux_logo/
Vcs-Git: git://anonscm.debian.org/collab-maint/linuxlogo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/linuxlogo.git

Package: linuxlogo
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: Color ANSI System Logo
 A Color ANSI Logo with some system information that can be displayed at system
 boot time or, with some local configuration, at the login prompt. Four
 different Logos are available:
 .
  * Debian Swirl(default)
  * Debian Banner
  * Tux Classic and Banner
 .
 The Classic and Banner Logos are based on Larry Ewing's Penguin. Monochrome
 ASCII versions of all the logos are included.
