=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	find ./logos -type f | LC_ALL=C sort > logo_config 
	PREFIX=$(CURDIR)/debian/linuxlogo/usr ./configure 
	cp -r po/ potmp/
	dh $@
	rm -rf potmp/

override_dh_auto_clean:
	[ -d potmp/ ] && rm -rf potmp/
	[ ! -f Makefile ] || ./configure && make distclean
