=== debian/watch ===
version=3
http://www.deater.net/weave/vmwprod/linux_logo/ linux_logo-(\d+\.\d+)\.tar\.gz
